Skip to Content
New release 12 available 🎉
API ReferenceLicensingFloating Licenses

Floating Licenses

POST/v1/license/requestPOST /v1/license/request

Code samples

# You can also use wget curl -X POST /v1/license/request \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/request

Body parameter

{ "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.RequestLicenseRequestfalsenone

Example responses

200 Response

{"granted":true,"licenseToken":"string","tokenExpireAt":{"seconds":0,"nanos":0},"heartbeatInterval":{"seconds":0,"nanos":0},"activeClientCount":0,"maxClientCount":0,"license":{"licenseId":"string","licensingMode":0,"expireAt":{"seconds":0,"nanos":0},"supportExpireAt":{"seconds":0,"nanos":0},"licenseKey":[0]}}
{ "granted": true, "licenseToken": "string", "tokenExpireAt": { "seconds": 0, "nanos": 0 }, "heartbeatInterval": { "seconds": 0, "nanos": 0 }, "activeClientCount": 0, "maxClientCount": 0, "license": { "licenseId": "string", "licensingMode": 0, "expireAt": { "seconds": 0, "nanos": 0 }, "supportExpireAt": { "seconds": 0, "nanos": 0 }, "licenseKey": [ 0 ] } }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.RequestLicenseResponse

Authentication: Bearer token or API key (x-api-key).

POST/v1/license/releasePOST /v1/license/release

Code samples

# You can also use wget curl -X POST /v1/license/release \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/release

Body parameter

{ "licenseToken": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.ReleaseLicenseRequestfalsenone

Example responses

200 Response

{"licenseId":"string","activeClientCount":0,"maxClientCount":0}
{ "licenseId": "string", "activeClientCount": 0, "maxClientCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.ReleaseLicenseResponse

Authentication: Bearer token or API key (x-api-key).

POST/v1/license/heartbeatPOST /v1/license/heartbeat

Code samples

# You can also use wget curl -X POST /v1/license/heartbeat \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/heartbeat

Body parameter

{ "licenseToken": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.HeartbeatRequestfalsenone

Example responses

200 Response

{"active":true,"activeClientCount":0,"maxClientCount":0,"tokenExpireAt":{"seconds":0,"nanos":0},"heartbeatInterval":{"seconds":0,"nanos":0}}
{ "active": true, "activeClientCount": 0, "maxClientCount": 0, "tokenExpireAt": { "seconds": 0, "nanos": 0 }, "heartbeatInterval": { "seconds": 0, "nanos": 0 } }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.HeartbeatResponse

Authentication: Bearer token or API key (x-api-key).

Last updated on